petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscTimeSubtract

Subtracts the current time of day (in seconds) from the value v.

### Synopsis

    #include <petsctime.h>
    PetscTimeSubtract(&PetscLogDouble *v)

Not Collective

### Input Parameter

v -time counter

### Output Parameter

v -time counter (v = v - current time)

### Notes

Since the PETSc libraries incorporate timing of phases and operations, we do not every recommend using PetscTimeSubtract() The options database command -log_summary activates PETSc library timing. See Users-Manual: Chapter 13 Profiling for more details, also see PetscLogStageRegister(), PetscLogEventRegister(), PetscLogEventBegin(), PetscLogEventEnd() for how to register stages and events in application codes.

### See Also

PetscTime(), PetscTimeAdd(), PetscLogStageRegister(), PetscLogEventRegister(), PetscLogEventBegin(), PetscLogEventEnd()

### Keywords

Petsc, time, subtract

Level:developer
Location:src/sys/time/../../../include/petsctime.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages